---
title: PUT /work-requests/{work_request_id}/form-fields/{form_field_identifier}
slug: content-marketing-platform/api/put-work-requestsworkrequestidform-fieldsformfieldidentifier
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "sC_Du2xoHAqK4ToOiG8iE",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "PUT /work-requests/{work_request_id}/form-fields/{form_field_identifier}",
    "description": "<p>Experimental Updates a work request form field.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "work_request_id",
          "type": "string",
          "example": "7674a2a69f8d4eb48e8d4dafaebc7238",
          "description": "Unique identifier of the work request"
        },
        {
          "kind": "required",
          "name": "form_field_identifier",
          "type": "string",
          "example": "209d2d281e2b11edbac602420ac80012",
          "description": "Unique identifier of the work request form field"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Payload to update the work request form field",
          "discriminator": {
            "propertyName": "type",
            "mapping": {
              "brief": "#/components/schemas/WorkRequestRequestFormFieldBriefTypePayload",
              "checkbox": "#/components/schemas/WorkRequestRequestFormFieldCheckboxTypePayload",
              "currency_number": "#/components/schemas/WorkRequestRequestFormFieldCurrencyNumberTypePayload",
              "date": "#/components/schemas/WorkRequestRequestFormFieldDateTypePayload",
              "dropdown": "#/components/schemas/WorkRequestRequestFormFieldDropdownTypePayload",
              "file": "#/components/schemas/WorkRequestRequestFormFieldFileTypePayload",
              "label": "#/components/schemas/WorkRequestRequestFormFieldLabelTypePayload",
              "percentage_number": "#/components/schemas/WorkRequestRequestFormFieldPercentageNumberTypePayload",
              "radio_button": "#/components/schemas/WorkRequestRequestFormFieldRadioButtonTypePayload",
              "richtext": "#/components/schemas/WorkRequestRequestFormFieldRichtextTypePayload",
              "simple_number": "#/components/schemas/WorkRequestRequestFormFieldSimpleNumberTypePayload",
              "text_area": "#/components/schemas/WorkRequestRequestFormFieldTextAreaTypePayload",
              "text": "#/components/schemas/WorkRequestRequestFormFieldTextTypePayload"
            }
          },
          "customType": "WorkRequestFormFieldUpdateRequest",
          "schema": [],
          "modelRef": "#/components/schemas/WorkRequestFormFieldUpdateRequest",
          "complexItems": [
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<brief>",
                  "description": "Type of the form field",
                  "example": "brief",
                  "enum": [
                    "brief"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Brief value payload",
                  "modelRef": "#/components/schemas/WorkRequestAttachmentBriefRequest",
                  "customType": "WorkRequestAttachmentBriefRequest[]",
                  "schema": [
                    {
                      "name": "type",
                      "kind": "required",
                      "type": "string<attachment_brief>",
                      "description": "",
                      "example": "attachment_brief",
                      "enum": [
                        "attachment_brief"
                      ]
                    },
                    {
                      "name": "value",
                      "kind": "required",
                      "type": "object",
                      "description": "",
                      "example": "",
                      "schema": [
                        {
                          "name": "key",
                          "kind": "required",
                          "type": "string",
                          "description": "<p>Unique identifier of the file upload session. This should be the value of <code>upload_meta_fields.key</code> retrieved using the <code>/v3/upload-url</code> endpoint</p>",
                          "example": "6dzf4ds4fds4f4564dzsfd"
                        },
                        {
                          "name": "name",
                          "kind": "required",
                          "type": "string",
                          "description": "Name of the attachment brief",
                          "example": "Sample-name"
                        }
                      ]
                    }
                  ]
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldBriefTypePayload",
              "customType": "WorkRequestRequestFormFieldBriefTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<checkbox>",
                  "description": "Type of the form field",
                  "example": "checkbox",
                  "enum": [
                    "checkbox"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Unique identifiers of the choices",
                  "example": "[\"63342902e84c7544973c07ce\",\"633429b2e84c7544973c07e7\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldCheckboxTypePayload",
              "customType": "WorkRequestRequestFormFieldCheckboxTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<currency_number>",
                  "description": "Type of the form field",
                  "example": "currency_number",
                  "enum": [
                    "currency_number"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Currency amount for the form field",
                  "example": "[\"123.45\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldCurrencyNumberTypePayload",
              "customType": "WorkRequestRequestFormFieldCurrencyNumberTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<date>",
                  "description": "Type of the form field",
                  "example": "date",
                  "enum": [
                    "date"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "<p>Date and time, in ISO 8601 UTC format</p>",
                  "example": "[\"2022-04-30T06:00:00.00Z\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldDateTypePayload",
              "customType": "WorkRequestRequestFormFieldDateTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<dropdown>",
                  "description": "Type of the form field",
                  "example": "dropdown",
                  "enum": [
                    "dropdown"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Unique identifier of the choice for the form field",
                  "example": "[\"63342902e84c7544973c07ce\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldDropdownTypePayload",
              "customType": "WorkRequestRequestFormFieldDropdownTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<file>",
                  "description": "Type of the form field",
                  "example": "file",
                  "enum": [
                    "file"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "uploaded file values",
                  "example": "[{\"key\":\"123456/789654\",\"name\":\"My File\"}]",
                  "itemType": "object",
                  "customType": "object[]",
                  "schema": [
                    {
                      "name": "key",
                      "kind": "required",
                      "type": "string",
                      "nullable": false,
                      "description": "<p>Unique identifier of the file upload session. This is the <code>upload_meta_fields.key</code> field was retrieved from the <code>/v3/upload-url</code> endpoint.</p>"
                    },
                    {
                      "name": "name",
                      "kind": "required",
                      "type": "string",
                      "nullable": false,
                      "description": "Name for the file",
                      "minLength": 1
                    }
                  ]
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldFileTypePayload",
              "customType": "WorkRequestRequestFormFieldFileTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<label>",
                  "description": "Type of the form field",
                  "example": "label",
                  "enum": [
                    "label"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Unique identifiers of label values for the form field",
                  "example": "[\"63342902e84c7544973c07ce\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldLabelTypePayload",
              "customType": "WorkRequestRequestFormFieldLabelTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<percentage_number>",
                  "description": "Type of the form field",
                  "example": "percentage_number",
                  "enum": [
                    "percentage_number"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Value for the form field",
                  "example": "[\"123.456\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldPercentageNumberTypePayload",
              "customType": "WorkRequestRequestFormFieldPercentageNumberTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<radio_button>",
                  "description": "Type of the form field",
                  "example": "radio_button",
                  "enum": [
                    "radio_button"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Unique identifier of the choice for the form field",
                  "example": "[\"63342902e84c7544973c07ce\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldRadioButtonTypePayload",
              "customType": "WorkRequestRequestFormFieldRadioButtonTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<richtext>",
                  "description": "Type of the form field",
                  "example": "richtext",
                  "enum": [
                    "richtext"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Value of the form field",
                  "example": "[\"<h1>hello world</h1>\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldRichtextTypePayload",
              "customType": "WorkRequestRequestFormFieldRichtextTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<simple_number>",
                  "description": "Type of the form field",
                  "example": "simple_number",
                  "enum": [
                    "simple_number"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Value of the form field",
                  "example": "[\"123.456\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldSimpleNumberTypePayload",
              "customType": "WorkRequestRequestFormFieldSimpleNumberTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<text_area>",
                  "description": "Type of the form field",
                  "example": "text_area",
                  "enum": [
                    "text_area"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Value of the form field",
                  "example": "[\"Hello world\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldTextAreaTypePayload",
              "customType": "WorkRequestRequestFormFieldTextAreaTypePayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<text>",
                  "description": "Type of the form field",
                  "example": "text",
                  "enum": [
                    "text"
                  ]
                },
                {
                  "name": "values",
                  "kind": "required",
                  "type": "array",
                  "nullable": false,
                  "description": "Value of the form field",
                  "example": "[\"Hello world\"]",
                  "itemType": "string",
                  "customType": "string[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ],
              "modelRef": "#/components/schemas/WorkRequestRequestFormFieldTextTypePayload",
              "customType": "WorkRequestRequestFormFieldTextTypePayload"
            }
          ],
          "complexType": "oneOf",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Updated work request form field",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "discriminator": {
              "propertyName": "type",
              "mapping": {
                "brief": "#/components/schemas/WorkRequestRequestFormFieldBriefTypeResponse",
                "checkbox": "#/components/schemas/WorkRequestRequestFormFieldCheckboxTypeResponse",
                "currency_number": "#/components/schemas/WorkRequestRequestFormFieldCurrencyNumberTypePayload",
                "date": "#/components/schemas/WorkRequestRequestFormFieldDateTypePayload",
                "dropdown": "#/components/schemas/WorkRequestRequestFormFieldDropdownTypeResponse",
                "file": "#/components/schemas/WorkRequestRequestFormFieldFileTypeResponse",
                "label": "#/components/schemas/WorkRequestRequestFormFieldLabelTypeResponse",
                "percentage_number": "#/components/schemas/WorkRequestRequestFormFieldPercentageNumberTypePayload",
                "radio_button": "#/components/schemas/WorkRequestRequestFormFieldRadioButtonTypeResponse",
                "richtext": "#/components/schemas/WorkRequestRequestFormFieldRichtextTypePayload",
                "simple_number": "#/components/schemas/WorkRequestRequestFormFieldSimpleNumberTypePayload",
                "text_area": "#/components/schemas/WorkRequestRequestFormFieldTextAreaTypePayload",
                "text": "#/components/schemas/WorkRequestRequestFormFieldTextTypePayload"
              }
            },
            "customType": "WorkRequestRequestFormFieldUpdateResponse",
            "schema": [],
            "modelRef": "#/components/schemas/WorkRequestRequestFormFieldUpdateResponse",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<brief>",
                    "description": "Type of the form field",
                    "example": "brief",
                    "enum": [
                      "brief"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Brief value payload",
                    "modelRef": "#/components/schemas/WorkRequestAttachmentBriefResponse",
                    "customType": "WorkRequestAttachmentBriefResponse[]",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string<attachment_brief>",
                        "description": "",
                        "example": "attachment_brief",
                        "enum": [
                          "attachment_brief"
                        ]
                      },
                      {
                        "name": "value",
                        "kind": "required",
                        "type": "object",
                        "description": "",
                        "example": "",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "string",
                            "description": "Unique identifier of the attachment brief",
                            "example": "6dzf4ds4fds4f4564dzsfd"
                          },
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the attachment brief",
                            "example": "Sample-name"
                          },
                          {
                            "name": "url",
                            "kind": "required",
                            "type": "string",
                            "description": "URL of the attachment brief",
                            "example": "https://files.cmp.optimizely.com/download/8nv8svsdnivjusdijuvisdv?token=token"
                          }
                        ]
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldBriefTypeResponse",
                "customType": "WorkRequestRequestFormFieldBriefTypeResponse"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<checkbox>",
                    "description": "Type of the form field",
                    "example": "checkbox",
                    "enum": [
                      "checkbox"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Values for the form field",
                    "example": "[{\"id\":\"63342902e84c7544973c07ce\",\"name\":\"Option 1\"},{\"id\":\"633429b2e84c7544973c07e7\",\"name\":\"Option 2\"}]",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the choice"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the choice"
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldCheckboxTypeResponse",
                "customType": "WorkRequestRequestFormFieldCheckboxTypeResponse"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<currency_number>",
                    "description": "Type of the form field",
                    "example": "currency_number",
                    "enum": [
                      "currency_number"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Currency amount for the form field",
                    "example": "[\"123.45\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldCurrencyNumberTypePayload",
                "customType": "WorkRequestRequestFormFieldCurrencyNumberTypePayload"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<date>",
                    "description": "Type of the form field",
                    "example": "date",
                    "enum": [
                      "date"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "<p>Date and time, in ISO 8601 UTC format</p>",
                    "example": "[\"2022-04-30T06:00:00.00Z\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldDateTypePayload",
                "customType": "WorkRequestRequestFormFieldDateTypePayload"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<dropdown>",
                    "description": "Type of the form field",
                    "example": "dropdown",
                    "enum": [
                      "dropdown"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Value for the form field",
                    "example": "[{\"id\":\"63342902e84c7544973c07ce\",\"name\":\"Option 1\"}]",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the choice"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the choice"
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldDropdownTypeResponse",
                "customType": "WorkRequestRequestFormFieldDropdownTypeResponse"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<file>",
                    "description": "Type of the form field",
                    "example": "file",
                    "enum": [
                      "file"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Values for the form field",
                    "example": "[{\"id\":\"a113667245d111eb8945000c\",\"name\":\"My File\",\"url\":\"https://files.cmp.optimizely.com/download/96c314a645d111eb8945000c291b51d4?token=\"}]",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "nullable": false,
                        "description": "Unique identifier of the file"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "nullable": false,
                        "description": "Name for the file",
                        "minLength": 1
                      },
                      {
                        "name": "url",
                        "kind": "required",
                        "type": "string",
                        "nullable": false,
                        "description": "Download URL of the file"
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldFileTypeResponse",
                "customType": "WorkRequestRequestFormFieldFileTypeResponse"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<label>",
                    "description": "Type of the form field",
                    "example": "label",
                    "enum": [
                      "label"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Values for the form field",
                    "example": "[{\"id\":\"63342902e84c7544973c07ce\",\"name\":\"Label 1\"}]",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifiers of label value"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the label value"
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldLabelTypeResponse",
                "customType": "WorkRequestRequestFormFieldLabelTypeResponse"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<percentage_number>",
                    "description": "Type of the form field",
                    "example": "percentage_number",
                    "enum": [
                      "percentage_number"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Value for the form field",
                    "example": "[\"123.456\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldPercentageNumberTypePayload",
                "customType": "WorkRequestRequestFormFieldPercentageNumberTypePayload"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<radio_button>",
                    "description": "Type of the form field",
                    "example": "radio_button",
                    "enum": [
                      "radio_button"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Value for the form field",
                    "example": "[{\"id\":\"63342902e84c7544973c07ce\",\"name\":\"Choice 1\"}]",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "string",
                        "description": "Unique identifier of the choice"
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": "Name of the choice value"
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldRadioButtonTypeResponse",
                "customType": "WorkRequestRequestFormFieldRadioButtonTypeResponse"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<richtext>",
                    "description": "Type of the form field",
                    "example": "richtext",
                    "enum": [
                      "richtext"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Value of the form field",
                    "example": "[\"<h1>hello world</h1>\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldRichtextTypePayload",
                "customType": "WorkRequestRequestFormFieldRichtextTypePayload"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<simple_number>",
                    "description": "Type of the form field",
                    "example": "simple_number",
                    "enum": [
                      "simple_number"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Value of the form field",
                    "example": "[\"123.456\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldSimpleNumberTypePayload",
                "customType": "WorkRequestRequestFormFieldSimpleNumberTypePayload"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<text_area>",
                    "description": "Type of the form field",
                    "example": "text_area",
                    "enum": [
                      "text_area"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Value of the form field",
                    "example": "[\"Hello world\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldTextAreaTypePayload",
                "customType": "WorkRequestRequestFormFieldTextAreaTypePayload"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<text>",
                    "description": "Type of the form field",
                    "example": "text",
                    "enum": [
                      "text"
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "nullable": false,
                    "description": "Value of the form field",
                    "example": "[\"Hello world\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/WorkRequestRequestFormFieldTextTypePayload",
                "customType": "WorkRequestRequestFormFieldTextTypePayload"
              }
            ],
            "complexType": "oneOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable entity error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource cannot be processed\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hdbfvoQRBkYlR28-78sV2",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"type\": \"brief\",\n     \"values\": [\n     {\n     \"type\": \"attachment_brief\",\n     \"value\": {\n     \"key\": \"6dzf4ds4fds4f4564dzsfd\",\n     \"name\": \"Sample-name\"\n     }\n     }\n     ]\n     }'"
        },
        {
          "id": "HLf_qpNcIDH4WwMMVr_ad",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"type\": \"brief\",\n   \"values\": [\n      {\n         \"type\": \"attachment_brief\",\n         \"value\": {\n            \"key\": \"6dzf4ds4fds4f4564dzsfd\",\n            \"name\": \"Sample-name\"\n         }\n      }\n   ]\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "oIMHbL29L73mRISuKY2Ox",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"type\": \"brief\",\n   \"values\": [\n      {\n         \"type\": \"attachment_brief\",\n         \"value\": {\n            \"key\": \"6dzf4ds4fds4f4564dzsfd\",\n            \"name\": \"Sample-name\"\n         }\n      }\n   ]\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "P52it7QJE8_YnBohfUfxY",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier}\"\n\npayload = json.dumps({\n   \"type\": \"brief\",\n   \"values\": [\n      {\n         \"type\": \"attachment_brief\",\n         \"value\": {\n            \"key\": \"6dzf4ds4fds4f4564dzsfd\",\n            \"name\": \"Sample-name\"\n         }\n      }\n   ]\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hdbfvoQRBkYlR28-78sV2"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Updated work request form field\n{}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-5-422",
          "language": "422",
          "code": "// Unprocessable entity error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}